# 2.7_e-paper

## Material
2.7 inch E-paper Display by Embedded Artists
Raspberry Pi 1 model B
Female to female cables

## Reference guide
https://www.embeddedartists.com/wp-content/uploads/2018/06/Epaper_RaspberryPi.pdf

## Raspberry Pi preparation
I started by installing the moste recent os available for my system with the Raspberry os tool.
Then I updated it and installed git
´´´
    sudo apt update
    sudo apt upgrade
    sudo apt install git-core
´´´
The guide uses Wiring Pi, but this git is deprecated.
I found a mirror and cloned it
https://github.com/WiringPi/WiringPi

The I activated the SPI and I2C interface on my Raspberry using
´´´
sudo raspi-config
´´´

Finaly I connected the raspberry to the display using the wiring guide provideed in the reference guide

## image preparation
I wanted to display the image of the card "One With Nothing" from Magic: The Gathering.
The image is available on scryfall : https://scryfall.com/card/sok/84/one-with-nothing
I rotated the image 90 deg to fit the screen orientation.

To prepare the image I used this project found online : https://notisrac.github.io/FileToCArray/

Code format: hex
Treat as binary : unchecked
palette mode : 1bit line art (1bit/pixel)
Resize : 271 x 176
Optimize for column read : unchecked
Separate bystes of pixels : checked
Endianness : little-endian
static : checked
const : checked
unsigned : checked
Data type : char
PROGEM : unchecked

## Image display
I modified the example code to display my image